[SOLVED] [FireMotD] Error: Template folder doesn't exist

Error upgrade 2.4.0 M7


              Welcome to            __  _____    ____  _
            ____  ____  ___  ____  / / / /   |  / __ )(_)___ _____
           / __ \/ __ \/ _ \/ __ \/ /_/ / /| | / __  / / __ `/ __ \
          / /_/ / /_/ /  __/ / / / __  / ___ |/ /_/ / / /_/ / / / /
          \____/ .___/\___/_/ /_/_/ /_/_/  |_/_____/_/\__,_/_/ /_/
              /_/
                  openHAB 2.4.0~M6-1 (Milestone Build)


Looking for a place to get started? Check out 'sudo openhabian-config' and the
documentation at https://www.openhab.org/docs/installation/openhabian.html
The openHAB dashboard can be reached at http://openHABianPi:8080
To interact with openHAB on the command line, execute: 'openhab-cli --help'

[01:49:36] openhabian@openHABianPi:~$ sudo openhabian-config
[sudo] password for openhabian:
2018-12-04_01:50:49_CET [openHABian] Checking for root privileges... OK
2018-12-04_01:50:49_CET [openHABian] Loading configuration file '/etc/openhabian.conf'... OK
2018-12-04_01:50:49_CET [openHABian] openHABian configuration tool version: [master]v1.4.1-422(d0dd543)
2018-12-04_01:50:50_CET [openHABian] Checking for changes in origin... OK
2018-12-04_01:50:55_CET [openHABian] Updating repositories and upgrading installed packages...
$ apt update
Get:1 http://raspbian.raspberrypi.org/raspbian stretch InRelease [15.0 kB]
Hit:2 https://deb.nodesource.com/node_8.x stretch InRelease
Get:3 http://raspbian.raspberrypi.org/raspbian stretch/main armhf Packages [11.7 MB]
Ign:4 https://dl.bintray.com/openhab/apt-repo2 testing InRelease
Get:5 https://dl.bintray.com/openhab/apt-repo2 testing Release [6,053 B]
Get:6 https://dl.bintray.com/openhab/apt-repo2 testing Release.gpg [821 B]
Ign:7 http://repos.azulsystems.com/debian stable InRelease
Hit:8 http://repos.azulsystems.com/debian stable Release
Get:9 https://dl.bintray.com/openhab/apt-repo2 testing/main armhf Packages [4,430 B]
Hit:11 http://archive.raspberrypi.org/debian stretch InRelease
Fetched 11.7 MB in 32s (360 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
3 packages can be upgraded. Run 'apt list --upgradable' to see them.

$ apt --yes upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  libssl1.1 openhab2 openssl
3 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 75.5 MB of archives.
After this operation, 24.9 MB disk space will be freed.
Get:1 https://dl.bintray.com/openhab/apt-repo2 testing/main armhf openhab2 all 2.4.0~M7-1 [73.6 MB]
Get:2 http://raspbian.mirror.garr.it/mirrors/raspbian/raspbian stretch/main armhf libssl1.1 armhf 1.1.0j-1~deb9u1 [1,115 kB]
Get:3 http://raspbian.mirror.garr.it/mirrors/raspbian/raspbian stretch/main armhf openssl armhf 1.1.0j-1~deb9u1 [712 kB]
Fetched 75.5 MB in 1min 22s (910 kB/s)
Traceback (most recent call last):
  File "/usr/bin/apt-listchanges", line 37, in <module>
    import apt_listchanges, DebianFiles, ALCApt, ALCConfig, ALCSeenDb
  File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 669, in exec_module
  File "<frozen importlib._bootstrap_external>", line 773, in get_code
  File "<frozen importlib._bootstrap_external>", line 484, in _compile_bytecode
ValueError: bad marshal data (invalid reference)
Preconfiguring packages ...
Setting up libc-bin (2.24-11+deb9u3) ...
Segmentation fault
Segmentation fault
dpkg: error processing package libc-bin (--configure):
 subprocess installed post-installation script returned error exit status 139
Errors were encountered while processing:
 libc-bin
Updating FireMotD available updates count ... 2018-12-04 01:53:08,528: FireMotD: Error: Template folder doesn't exist. Upgrading from an older version? Please run make again or run the install function "FireMotD -I -v".

E: Sub-process /usr/bin/dpkg returned an error code (1)
FAILED

1 Like

@Dim

As per your suggestion, I have created a new topic.
I deleted the previous one so as not to dirty the discussion.

1 Like

edit: it seems that something is wrong with your FireMotD installation. Did you try the suggestion in the log:

cd /opt/FireMotD
sudo ./FireMotD -I -v

Ref: [SOLVED] OpenHAB 2.3.0-1 Stable: No FireMotD ExportFile detected

4 Likes

Hallo

[09:43:48] openhabian@openHABianPi:/opt/FireMotD$ cd /opt/FireMotD
[09:43:57] openhabian@openHABianPi:/opt/FireMotD$ sudo ./FireMotD -I -v
[sudo] password for openhabian:
2018-12-04 09:44:20,993: FireMotD: Info: Verbose mode
2018-12-04 09:44:21,005: FireMotD: Info: FireMotD action install started
2018-12-04 09:44:21,017: FireMotD: Info: Attempting FireMotD installation
2018-12-04 09:44:21,029: FireMotD: Info: Creating themes directory folder
2018-12-04 09:44:21,044: FireMotD: Info: Creating templates folder
2018-12-04 09:44:21,060: FireMotD: Info: Creating data folder
2018-12-04 09:44:21,076: FireMotD: Info: Downloading themes
2018-12-04 09:44:26,053: FireMotD: Info: Downloading templates
2018-12-04 09:44:27,034: FireMotD: Info: Copying /opt/FireMotD/FireMotD to /usr/local/bin/FireMotD
2018-12-04 09:44:27,054: FireMotD: Info: Installing required apt-get packages
Traceback (most recent call last):
  File "/usr/bin/apt-listchanges", line 37, in <module>
    import apt_listchanges, DebianFiles, ALCApt, ALCConfig, ALCSeenDb
  File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 669, in exec_module
  File "<frozen importlib._bootstrap_external>", line 773, in get_code
  File "<frozen importlib._bootstrap_external>", line 484, in _compile_bytecode
ValueError: bad marshal data (invalid reference)
E: Sub-process /usr/bin/dpkg returned an error code (1)
2018-12-04 09:44:39,014: FireMotD: Info: Generating information
2018-12-04 09:44:39,112: FireMotD: Info: Debug mode
2018-12-04 09:44:39,135: FireMotD: Info: FireMotD action save started
2018-12-04 09:44:39,159: FireMotD: Info: Exportfile /usr/share/firemotd/data/FireMotD.json found, template type default
2018-12-04 09:44:39,182: FireMotD: Info: No data template selected. Leaving as-is..
2018-12-04 09:44:39,210: FireMotD: Info: Looping through "/usr/share/firemotd/data/FireMotD.json" based on default template.
2018-12-04 09:44:39,270: FireMotD: Info: Exploring HostIp
2018-12-04 09:44:39,402: FireMotD: Info: Exploring Release
2018-12-04 09:44:39,491: FireMotD: Info: Exploring Kernel
2018-12-04 09:44:39,554: FireMotD: Info: Exploring Platform
2018-12-04 09:44:39,652: FireMotD: Info: Exploring Updates
2018-12-04 09:45:08,354: FireMotD: Info: Updated ExportFile: /usr/share/firemotd/data/FireMotD.json
2018-12-04 09:45:08,377: FireMotD: Info: FireMotD action save finished
2018-12-04 09:45:08,401: FireMotD: Info: Generating FireMotD
DDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDDD
iiiiiiiiiiiiiii  openHABianPi  iiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiiii
ggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggggg
DD        Ip -> 192.168.1.20
DD   Release -> Raspbian GNU/Linux 9 (stretch)
DD    Kernel -> Linux 4.14.79-v7+
DD  Platform -> Raspberry Pi 3 Model B Rev 1.2
DD    Uptime -> 0 day(s). 6:47:15
DD CPU Usage -> 0% avg over 4 cpu(s) (4 core(s) x 1 socket(s))
DD  CPU Load -> 1m: 0.89, 5m: 0.23, 15m: 0.08
DD    Memory -> Free: 0.15GB (16%), Used: 0.79GB (84%), Total: 0.95GB
DD      Swap -> Free: 0.09GB (100%), Used: 0.00GB (0%), Total: 0.09GB
DD      Root -> Free: 11.49GB (84%), Used: 2.05GB (16%), Total: 14.15GB
DD   Updates -> 3 apt updates available.
DD  Sessions -> 0 sessions
DD Processes -> 113 running processes of 32768 maximum processes
SSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS
2018-12-04 09:45:23,349: FireMotD: Info: FireMotD action install finished
[09:45:23] openhabian@openHABianPi:/opt/FireMotD$

[09:45:23] openhabian@openHABianPi:/opt/FireMotD$ sudo openhabian-config
2018-12-04_09:46:43_CET [openHABian] Checking for root privileges... OK
2018-12-04_09:46:43_CET [openHABian] Loading configuration file '/etc/openhabian.conf'... OK
2018-12-04_09:46:43_CET [openHABian] openHABian configuration tool version: [master]v1.4.1-422(d0dd543)
2018-12-04_09:46:43_CET [openHABian] Checking for changes in origin... OK
2018-12-04_09:46:47_CET [openHABian] Updating repositories and upgrading installed packages...
$ apt update
Hit:1 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Hit:2 https://deb.nodesource.com/node_8.x stretch InRelease
Ign:3 https://dl.bintray.com/openhab/apt-repo2 testing InRelease
Hit:4 https://dl.bintray.com/openhab/apt-repo2 testing Release
Ign:6 http://repos.azulsystems.com/debian stable InRelease
Hit:7 http://repos.azulsystems.com/debian stable Release
Hit:9 http://archive.raspberrypi.org/debian stretch InRelease
Reading package lists... Done
Building dependency tree
Reading state information... Done
3 packages can be upgraded. Run 'apt list --upgradable' to see them.

$ apt --yes upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  libssl1.1 openhab2 openssl
3 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0 B/75.5 MB of archives.
After this operation, 24.9 MB disk space will be freed.
Traceback (most recent call last):
  File "/usr/bin/apt-listchanges", line 37, in <module>
    import apt_listchanges, DebianFiles, ALCApt, ALCConfig, ALCSeenDb
  File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 669, in exec_module
  File "<frozen importlib._bootstrap_external>", line 773, in get_code
  File "<frozen importlib._bootstrap_external>", line 484, in _compile_bytecode
ValueError: bad marshal data (invalid reference)
Preconfiguring packages ...
Setting up libc-bin (2.24-11+deb9u3) ...
Segmentation fault
Segmentation fault
dpkg: error processing package libc-bin (--configure):
 subprocess installed post-installation script returned error exit status 139
Errors were encountered while processing:
 libc-bin
Updating FireMotD available updates count ...
E: Sub-process /usr/bin/dpkg returned an error code (1)
FAILED
[09:47:31] openhabian@openHABianPi:/opt/FireMotD$

ok, try the following:

sudo su
apt-get clean && apt-get autoclean
apt-get update
apt-get --reinstall install libc-bin
apt-get upgrade

[09:47:31] openhabian@openHABianPi:/opt/FireMotD$ sudo su
[09:52:35] root@openHABianPi:/opt/FireMotD# apt-get clean && apt-get autoclean
Reading package lists... Done
Building dependency tree
Reading state information... Done
[09:52:45] root@openHABianPi:/opt/FireMotD# apt-get update
Hit:1 https://deb.nodesource.com/node_8.x stretch InRelease
Ign:2 https://dl.bintray.com/openhab/apt-repo2 testing InRelease
Hit:3 https://dl.bintray.com/openhab/apt-repo2 testing Release
Hit:5 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Ign:6 http://repos.azulsystems.com/debian stable InRelease
Hit:7 http://repos.azulsystems.com/debian stable Release
Hit:9 http://archive.raspberrypi.org/debian stretch InRelease
Reading package lists... Done
[09:53:13] root@openHABianPi:/opt/FireMotD# apt-get --reinstall install libc-bin
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 3 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
E: Internal Error, No file name for libc-bin:armhf
[09:53:19] root@openHABianPi:/opt/FireMotD# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  libssl1.1 openhab2 openssl
3 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 75.5 MB of archives.
After this operation, 24.9 MB disk space will be freed.
Do you want to continue? [Y/n] y
Get:1 https://dl.bintray.com/openhab/apt-repo2 testing/main armhf openhab2 all 2.4.0~M7-1 [73.6 MB]
Get:2 http://raspbian.mirror.garr.it/mirrors/raspbian/raspbian stretch/main armhf libssl1.1 armhf 1.1.0j-1~deb9u1 [1,115 kB]
Get:3 http://raspbian.mirror.garr.it/mirrors/raspbian/raspbian stretch/main armhf openssl armhf 1.1.0j-1~deb9u1 [712 kB]
Fetched 75.5 MB in 1min 26s (869 kB/s)
Traceback (most recent call last):
  File "/usr/bin/apt-listchanges", line 37, in <module>
    import apt_listchanges, DebianFiles, ALCApt, ALCConfig, ALCSeenDb
  File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 669, in exec_module
  File "<frozen importlib._bootstrap_external>", line 773, in get_code
  File "<frozen importlib._bootstrap_external>", line 484, in _compile_bytecode
ValueError: bad marshal data (invalid reference)
Preconfiguring packages ...
Setting up libc-bin (2.24-11+deb9u3) ...
Segmentation fault
Segmentation fault
dpkg: error processing package libc-bin (--configure):
 subprocess installed post-installation script returned error exit status 139
Errors were encountered while processing:
 libc-bin
Updating FireMotD available updates count ...
E: Sub-process /usr/bin/dpkg returned an error code (1)
[09:55:24] root@openHABianPi:/opt/FireMotD#

dpkg --configure -a
apt-get update && apt-get --reinstall install libc-bin

[10:20:45] root@openHABianPi:/home/openhabian# dpkg --configure -a
Setting up libc-bin (2.24-11+deb9u3) ...
Segmentation fault
Segmentation fault
dpkg: error processing package libc-bin (--configure):
 subprocess installed post-installation script returned error exit status 139
Errors were encountered while processing:
 libc-bin
[10:21:08] root@openHABianPi:/home/openhabian# apt-get update && apt-get --reinstall install libc-bin
Hit:1 https://deb.nodesource.com/node_8.x stretch InRelease
Ign:2 https://dl.bintray.com/openhab/apt-repo2 testing InRelease
Hit:3 https://dl.bintray.com/openhab/apt-repo2 testing Release
Hit:5 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Ign:6 http://repos.azulsystems.com/debian stable InRelease
Hit:7 http://repos.azulsystems.com/debian stable Release
Hit:9 http://archive.raspberrypi.org/debian stretch InRelease
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 3 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
E: Internal Error, No file name for libc-bin:armhf
[10:21:40] root@openHABianPi:/home/openhabian#

I try to reinstall everything from an old image backup, never tried.
If it works I try to redo upgrades
What do you say?

sounds good… I don’t know why this is happening (I hope it’s not file system corruption)

try this:

wget "http://ftp.de.debian.org/debian/pool/main/g/glibc/libc-bin_2.24-11+deb9u3_armhf.deb" -O /tmp/libc-bin_2.24-11+deb9u3_armhf.deb
dpkg -i /tmp/libc-bin_2.24-11+deb9u3_armhf.deb

@Dim
SD card corruption?

1 Like

very high probability…
configs look good, the sources.list are ok… most error messages are related to problematic file access.

It worked the update for 2.4.0 M7
But now problems with Openhab
This part of the log

2018-12-04 10:40:55.692 [INFO ] [.internal.GenericScriptEngineFactory] - Activated scripting support for ECMAScript

2018-12-04 10:40:56.011 [INFO ] [panel.internal.HABPanelDashboardTile] - Started HABPanel at /habpanel

2018-12-04 10:40:56.680 [ERROR] [org.eclipse.smarthome.io.rest.sse   ] - FrameworkEvent ERROR - org.eclipse.smarthome.io.rest.sse

org.osgi.framework.BundleException: Exception in org.eclipse.smarthome.io.rest.sse.internal.SseActivator.start() of bundle org.eclipse.smarthome.io.rest.sse.

	at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:800) ~[?:?]

	at org.eclipse.osgi.internal.framework.BundleContextImpl.start(BundleContextImpl.java:729) [?:?]

	at org.eclipse.osgi.internal.framework.EquinoxBundle.startWorker0(EquinoxBundle.java:933) ~[?:?]

	at org.eclipse.osgi.internal.framework.EquinoxBundle$EquinoxModule.startWorker(EquinoxBundle.java:309) ~[?:?]

	at org.eclipse.osgi.container.Module.doStart(Module.java:581) ~[?:?]

	at org.eclipse.osgi.container.Module.start(Module.java:449) ~[?:?]

	at org.eclipse.osgi.framework.util.SecureAction$23.run(SecureAction.java:474) ~[?:?]

	at org.eclipse.osgi.framework.util.SecureAction$23.run(SecureAction.java:1) ~[?:?]

	at java.security.AccessController.doPrivileged(Native Method) ~[?:?]

	at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:472) ~[?:?]

	at org.eclipse.osgi.container.ModuleContainer.start(ModuleContainer.java:750) ~[?:?]

	at org.eclipse.osgi.container.ModuleContainer.applyDelta(ModuleContainer.java:741) ~[?:?]

	at org.eclipse.osgi.container.ModuleContainer.resolveAndApply(ModuleContainer.java:511) ~[?:?]

	at org.eclipse.osgi.container.ModuleContainer.resolve(ModuleContainer.java:457) ~[?:?]

	at org.eclipse.osgi.container.ModuleContainer.refresh(ModuleContainer.java:1001) ~[?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerWiring.dispatchEvent(ModuleContainer.java:1382) ~[?:?]

	at org.eclipse.osgi.container.ModuleContainer$ContainerWiring.dispatchEvent(ModuleContainer.java:1) ~[?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [?:?]

	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [?:?]

Caused by: java.lang.LinkageError: ClassCastException: attempting to castbundleresource://32.fwk12322214/javax/ws/rs/ext/RuntimeDelegate.class to bundleresource://32.fwk12322214/javax/ws/rs/ext/RuntimeDelegate.class

	at javax.ws.rs.ext.RuntimeDelegate.findDelegate(RuntimeDelegate.java:146) ~[?:?]

	at javax.ws.rs.ext.RuntimeDelegate.getInstance(RuntimeDelegate.java:120) ~[?:?]

	at javax.ws.rs.core.MediaType.valueOf(MediaType.java:179) ~[?:?]

	at org.glassfish.jersey.media.sse.SseFeature.<clinit>(SseFeature.java:62) ~[?:?]

	at org.eclipse.smarthome.io.rest.sse.internal.SseActivator.start(SseActivator.java:49) ~[?:?]

	at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:779) ~[?:?]

	at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:1) ~[?:?]

	at java.security.AccessController.doPrivileged(Native Method) ~[?:?]

	at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:772) ~[?:?]

	... 18 more

2018-12-04 10:40:58.117 [INFO ] [io.openhabcloud.internal.CloudClient] - Connected to the openHAB Cloud service (UUID = 20828e99-6320-48e1-84a9-c073cb889d06, base URL = http://localhost:8080)

2018-12-04 10:41:01.331 [INFO ] [arthome.ui.paper.internal.PaperUIApp] - Started Paper UI at /paperui

2018-12-04 10:41:02.833 [INFO ] [ui.habmin.internal.servlet.HABminApp] - Started HABmin servlet at /habmin

2018-12-04 10:41:23.090 [INFO ] [b.core.service.AbstractActiveService] - Expire Refresh Service has been started

2018-12-04 10:41:23.114 [ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing 'openhab-misc-openhabcloud, openhab-misc-restdocs, openhab-transformation-javascript, openhab-binding-network, openhab-ui-habpanel, openhab-transformation-regex, openhab-misc-ruleengine, openhab-transformation-jsonpath, openhab-transformation-xpath, openhab-ui-basic, openhab-transformation-map, openhab-binding-bticino1, openhab-ui-habmin, openhab-transformation-xslt, openhab-binding-expire1, openhab-transformation-exec, openhab-ui-paper, openhab-transformation-scale': Error restarting bundles:

	Exception in org.eclipse.smarthome.io.rest.sse.internal.SseActivator.start() of bundle org.eclipse.smarthome.io.rest.sse.
sudo su  //if you are not already root
systemctl stop openhab2
openhab-cli clean-cache
mv /var/log/openhab2/openhab.log /var/log/openhab2/openhab.log.old
sync
systemctl start openhab2
tail -f /var/log/openhab2/openhab.log

Your SD card may be failing. Backup every OH2 config and see if you can replace the SD Card with a new one.
Make sure that you have a proper Power Supply for your rPi3b+

Does not work
Stòs rinstalling the image backup, then I try
The SD has 2 weeks of life.
I buy SD 16G or larger?

16G should be fine
Make sure that:
a) you have a good quality power supply for your Raspberry Pi
b) try to minimize frequent I/Os (e.g. logs). See one example here: Log2Ram
c) the SD Card is green on this list: https://elinux.org/RPi_SD_cards (a bit old but reliable info)

Read also: https://www.raspberrypi.org/documentation/installation/sd-cards.md

power supply 5.1V 2.5A

ok ?

it should be ok (are you using the original that is sold with the rPi?)
remember that even if the rating is 5.1V, if the quality of the USB cable carrying the power is bad, you can lose up to 1Volt.

Ref: https://www.raspberrypi.org/documentation/installation/sd-cards.md

Backup image OK
Upgrade to 2.4.0 M7 OK
Openhab2 2.4.0 M7 All OK
:star_struck:

1 Like

thank you very much for help …

I would like to ask you for help, if you can, out of topic.
I installed on nas synology DS216J openhab 2.3.0 is working. openHAB-2.3.0.005-syno-noarch-0.001.spk 185 KB

I do not know how to install::

  • Install the paper log viewer
  • Install node-red.
    Node-red I use it to interface with HomeKit, unfortunately the builing homekit of openhab is not updated and missing a lot of accesses.
    I always look what it does @beowulfe but everything seems still.
    I tried on the node-red forum but nothing.

You can help me ?

In the meantime, thank you for your time